質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.51%

  • Emacs

    157questions

    GNU Emacsと拡張性の高い、高性能なテキストエディタです。豊富なライブラリの導入により、統合開発環境やWebブラウザとしても機能させる事が可能です。

emacs (M-x install-elisp RET)ができない。オートインストールができない。

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 135

akio77

score 6

これまでの一連の流れを示します。

~/.emacs.d/elispのなかで

まずターミナル(mac)でこれを実行しました。

$ curl -O https://www.emacswiki.org/emacs/download/auto-install.el

するとうまく言ったらしく、~/.emacs.d/elisp/auto-install.elが入りました。
これをbyte-compile-fileにすべく以下をしました。

M-x byte-compile-file RET

そしてauto-install.elcのファイルができたことを確認しました。
次に~/emacs.d/init.elに以下を設定しました。

(when (require 'auto-install nil t)
  ;;インストールディレクトリを設定する
  (setq auto-install-directory "~/.emacs.d/elisp/")
  ;;EmacsWikiに登録されているelispの名前を取得する
  (auto-install-update-emacswiki-package-name t)
  ;;install-elispの関数を利用可能にする
  (auto-install-compatibility-setup))
コード


このコードの前後にそれぞれ背景の色を変えるコードを置いて確かめたところ、このソースコードには問題ないと思いました。
しかし以下のコードができませんでした。

M-x install-elisp RET

どうしたらよいでしょうか。教えていただけたら嬉しいです。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

ファイルを配置した~/.emacs.d/elisp/は、load-pathに含まれているでしょうか?
M-x describe-variableload-pathの値を確認するとよいかと思います。)

もしなければ、

(add-to-list 'load-path "~/.emacs.d/elisp")


のようなコードがrequire前に必要です。

init.elに書いたコードは、auto-installがなくてもエラーにはならない書き方になっています。

(when (require 'hogehoge nil t)) ;;=> hogehogeがなければnilと評価されるだけで、エラーにはならない

以下のような書き方だと、現状ではエラーが発生するかなと思います。

(require 'hogehoge) ;;=>Debugger entered--Lisp error: (file-missing "Cannot open load file" "No such file or directory" "hogehoge")

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/02/23 12:51

    ありがとうございます。解決しました。

    キャンセル

同じタグがついた質問を見る

  • Emacs

    157questions

    GNU Emacsと拡張性の高い、高性能なテキストエディタです。豊富なライブラリの導入により、統合開発環境やWebブラウザとしても機能させる事が可能です。